Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Class ValidationState

    java.lang.Object
      org.ensembl.variation.datamodel.ValidationState

public class ValidationState
extends java.lang.Object

Possible Validation states of a Variation. Use static instances.

Author:
  Craig Melsopp

Field Summary
`static ValidationState` | `CLUSTER`
`static ValidationState` | `DOUBLEHIT`
`static ValidationState` | `FREQ`
`static ValidationState` | `HAPMAP`
`static ValidationState` | `SUBMITTER`

Method Summary
`static ValidationState` | `createValidationState(java.lang.String code)` Factory method for getting instances of this class.
`byte` | `getBitFlag()` States bit flag.
`java.lang.String` | `getCode()` States code.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLUSTER

    public static final ValidationState CLUSTER

### FREQ

    public static final ValidationState FREQ

### SUBMITTER

    public static final ValidationState SUBMITTER

### DOUBLEHIT

    public static final ValidationState DOUBLEHIT

### HAPMAP

    public static final ValidationState HAPMAP

Method Detail

### createValidationState

    public static ValidationState createValidationState(java.lang.String code)

  Factory method for getting instances of this class.

  Parameters:
    `code` - Validate state code.
  Returns:
    validation state instance.
  Throws:
    `java.lang.IllegalArgumentException` - if no validation state exists with the specified code.

### toString

    public java.lang.String toString()

### getBitFlag

    public byte getBitFlag()

  States bit flag.

  Returns:
    bit flag of this state.

### getCode

    public java.lang.String getCode()

  States code.

  Returns:
    code for this state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD